# Authentication

The API key should be included in all API requests to the server in the `Authorization` header as a Bearer token:

{% tabs %}
{% tab title="Shell" %}

```bash
curl -H 'Authorization: Bearer <API_TOKEN>' 'https://api.sfox.com/v1/...'
```

{% endtab %}

{% tab title="NodeJS" %}

```javascript
const axios = require('axios');

axios({
  method: 'get',
  url: 'https://api.sfox.com/...',
  headers: {
    'Authorization': `Bearer ${process.env['API_KEY']}`
  }
}).then(response => {
  console.log(response)
}).catch(err => {
  console.error(err)
});
```

{% endtab %}

{% tab title="Python" %}

```python
import requests
import os

data = requests.get(
  "https://api.sfox.com/...",
  headers={
    "Authorization": f"Bearer {os.environ['API_KEY']}",
  }
)
print(data.json())
```

{% endtab %}
{% endtabs %}

### Enterprise Partner Authentication

sFOX will provide your enterprise with an “Enterprise Partner” Bearer Token, which will grant your enterprise access to the partner-specific endpoints described in Connect documentation.

{% hint style="info" %}
**Note: all of the REST endpoints described in the Connect documentation require your Enterprise Bearer Token as the Bearer Token for authentication.**
{% endhint %}

To access a specific user’s account, see below.

### **User** Authentication

To access specific users’ accounts on sFOX via any of the endpoints documented [here](https://docs.sfox.com/), your enterprise will use that user’s Bearer Token provided by the endpoints described in the next section.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sfox.com/connect/rest-api/authentication.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
